package ch.sahits.game.graphic.image;

import ch.sahits.game.graphic.image.model.ImageData;
/**
 * Sub interface which provides additional data with each image that is loaded
 * @author Andi Hotz, (c) Sahits GmbH, 2012
 * Created on Jun 20, 2012
 *
 */
public interface IDataImageLoader extends IImageLoader{

	/**
	 * Retrieve the image data for a image file name
	 * @param imageName
	 * @return
	 */
	public abstract ImageData getImageData(String imageName);

}